package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ServerFilePathDto;
import com.huatek.busi.entity.ServerFilePath;
import com.huatek.busi.where.ServerFilePathSelectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ServerFilePathMapper {
    Page<ServerFilePathDto> list(ServerFilePathSelectVo serverFilePathSelectVo);

    int batchDel(@Param("ids") List<String> ids);

    int update(ServerFilePath serverFilePath);

    ServerFilePath findBySiteIdAndSystemCode(@Param("siteId") String siteId, @Param("systemCode") String systemCode);
}
